package kr.co.uplus.ez.api.stats.dto;

import io.swagger.annotations.ApiModelProperty;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

import java.io.Serializable;

@SuppressWarnings("serial")
@Data
public class BsnmDayListExcelResDto extends ResponseMessage implements Serializable{

	@ApiModelProperty(example = "데이터")
	private BsnmDayListExcelRes data;

	public BsnmDayListExcelResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public BsnmDayListExcelResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public BsnmDayListExcelResDto(ApiResponseCode returnStr, BsnmDayListExcelRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}

}
